#!/bin/sh
############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-B96
#
#  (C) Copyright IBM Corp. 2003.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: /misc/ctw_after_script.sh
#   Revision: 1.0
#   Date: 6/1/03 23:30:58
############################################################################

# Description:
# wrapper script to call sqlscript.sh to populate host_id

# DB2USER=db2
# DB2PASS=
# COPT_CTRL_DB2PASS=
# COPT_CDW_DB2PASS=
# COPT_MART_DB2PASS=
# TWH_CTRL_DB=TWH_MD
# TRGDB=TWH_DB

# Parameters
AVACODE="CTW"
SCRIPTNAME="ctw_fix_rpi_relationship"
SRCDB=$TWH_CTRL_DB
SRCUSER=$DB2USER
SRCPWD=$COPT_CTRL_DB2PASS
TRGDB=$TWH_CTRL_DB
TRGUSER=$DB2USER
TRGPWD=$COPT_CTRL_DB2PASS

echo $AVACODE $SCRIPTNAME $SRCDB $SRCUSER $SRCPWD $TRGDB $TRGUSER $TRGPWD
# start debug
# set -x

# DELSCRIPT=`echo "$TWH_TOPDIR/tools/bin/sqlscript.sh"`
DELSCRIPT="sqlscript.sh"

# Run execsql via sqlscript.sh
bash $DELSCRIPT $AVACODE $SCRIPTNAME $SRCDB $SRCUSER $SRCPWD $TRGDB $TRGUSER $TRGPWD

exit $?
