--#####################################################################
--
--  Licensed Materials - Property of IBM
--  5724-B96
-- (C) Copyright IBM Corp. 2004.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
--######################################################################

DELETE FROM twg.mgrpmbr gp 
   WHERE gp.mgrp_cd = 'MIN_E'                               
     and  gp.msmttyp_id IN ( select mt.MsmtTyp_ID from TWG.MsmtTyp mt
                              where MsmtTyp_Nm in ('MSSQL_Job_Failed',
                                                   'MSSQL_Job_Succeeded',
                                                   'MSSQL_Job_Cancelled',
                                                   'MSSQL_Job_Retry',
                                                   'MSSQL_Job_In_Progress',
                                                   'MSSQL_Job_Not_Run',
                                                   'MSSQL_Job_Duration',
                                                   'MSSQL_Replication_Job_Failed',
                                                   'MSSQL_Replication_Job_Between_Retries',
                                                   'MSSQL_Replication_Job_Retry',
                                                   'MSSQL_Replication_Job_Idle',
                                                   'MSSQL_Replication_Job_In_Progress',
                                                   'MSSQL_Replication_Job_Cancelled',
                                                   'MSSQL_Replication_Job_Waiting_For_Thread',
                                                   'MSSQL_Replication_Job_Succeeded',
                                                   'MSSQL_Replication_Job_Executing',
                                                   'MSSQL_Replication_Job_Suspended',
                                                   'MSSQL_Replication_Job_Performing_Completion_Actions' ));

DELETE FROM twg.mgrpmbr 
   WHERE mgrp_cd = 'MAX_E'                               
     AND msmttyp_id in (select mt.MsmtTyp_ID from TWG.MsmtTyp mt
                         where MsmtTyp_Nm in ('MSSQL_Job_Failed',
                                              'MSSQL_Job_Succeeded',
                                              'MSSQL_Job_Cancelled',
                                              'MSSQL_Job_Retry',
                                              'MSSQL_Job_In_Progress',
                                              'MSSQL_Job_Not_Run',
                                              'MSSQL_Job_Duration',
                                              'MSSQL_Replication_Job_Failed',
                                              'MSSQL_Replication_Job_Between_Retries',
                                              'MSSQL_Replication_Job_Retry',
                                              'MSSQL_Replication_Job_Idle',
                                              'MSSQL_Replication_Job_In_Progress',
                                              'MSSQL_Replication_Job_Cancelled',
                                              'MSSQL_Replication_Job_Waiting_For_Thread',
                                              'MSSQL_Replication_Job_Succeeded',
                                              'MSSQL_Replication_Job_Executing',
                                              'MSSQL_Replication_Job_Suspended',
                                              'MSSQL_Replication_Job_Performing_Completion_Actions' ));

DELETE FROM twg.mgrpmbr 
   WHERE mgrp_cd = 'AVG_E'                               
     AND msmttyp_id IN (select mt.MsmtTyp_ID from TWG.MsmtTyp mt
                         where MsmtTyp_Nm in ('MSSQL_Job_Failed',
                                              'MSSQL_Job_Succeeded',
                                              'MSSQL_Job_Cancelled',
                                              'MSSQL_Job_Retry',
                                              'MSSQL_Job_In_Progress',
                                              'MSSQL_Job_Not_Run',
                                              'MSSQL_Job_Duration',
                                              'MSSQL_Replication_Job_Failed',
                                              'MSSQL_Replication_Job_Between_Retries',
                                              'MSSQL_Replication_Job_Retry',
                                              'MSSQL_Replication_Job_Idle',
                                              'MSSQL_Replication_Job_In_Progress',
                                              'MSSQL_Replication_Job_Cancelled',
                                              'MSSQL_Replication_Job_Waiting_For_Thread',
                                              'MSSQL_Replication_Job_Succeeded',
                                              'MSSQL_Replication_Job_Executing',
                                              'MSSQL_Replication_Job_Suspended',
                                              'MSSQL_Replication_Job_Performing_Completion_Actions' ));
